package com.nisum.address.dao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.ReactiveMongoTemplate;
import org.springframework.data.mongodb.core.query.Criteria;
import org.springframework.data.mongodb.core.query.Query;

import com.nisum.address.model.Address;
import com.nisum.address.service.AddressServiceImpl;

import reactor.core.publisher.Flux;
import reactor.core.publisher.Mono;

public class CustomAddressRepositoryImpl implements CustomAddressRepository{
	
	private static final Logger logger = LoggerFactory.getLogger(CustomAddressRepositoryImpl.class);
	 private final ReactiveMongoTemplate mongoTemplate;

	    @Autowired
	    public CustomAddressRepositoryImpl(ReactiveMongoTemplate mongoTemplate) {
	        this.mongoTemplate = mongoTemplate;
	    }


	@Override
	public Mono<Address> getAddressByProfileId(String profileId) {
		logger.info("profileiD====="+profileId);
		Query query = new Query(Criteria.where("profileId").is(profileId));
		return mongoTemplate.findOne(query, Address.class);
	}


}
